import { defineStore } from "pinia";
import { UserState } from "@/stores/interface";
import piniaPersistConfig from "@/stores/helper/persist";
import { USER_STORE_KEY } from "@/stores/constant";

export const useUserStore = defineStore({
  id: USER_STORE_KEY,
  state: (): UserState => ({
    token: "",
    userInfo: { name: "admin" },
  }),
  getters: {},
  actions: {
    // Set Token
    setToken(token: string) {
      this.token = token;
    },
    // Set setUserInfo
    setUserInfo(userInfo: UserState["userInfo"]) {
      this.userInfo = userInfo;
    },
  },
  persist: piniaPersistConfig(USER_STORE_KEY),
});
